Quality of Service (QoS)

QoS is a set of standards and mechanisms that ensure quality data transmission for QoS-enabled programs.

  • For help installing QoS Packet Scheduler, see To install QoS Packet Scheduler.
  • For general background information, see Concepts.


Install QoS Packet Scheduler

Microsoft Windows graphic

To install QoS Packet Scheduler

  1. Open Network Connections.
  2. Click any connection, and then, on the File menu, click Properties.
  3. Click Install, click Service, and then click Add.
  4. Click QoS Packet Scheduler, and then click OK.

Notes

  • XOX
  • XOX
  • When you install QoS Packet Scheduler on any network connection, it is installed on every local network connection.
  • Install QoS Packet Scheduler on end-systems on which you want to enable traffic shaping, traffic marking, or both. For computers with dial-up connections, install QoS Packet Scheduler if you want to enable Integrated Services over Slow Links (ISSLOW).

Related Topics


Concepts

This section provides general background information about Quality of Service (QoS):

  • QoS overview
  • Differentiated Services Code Point (DSCP) overview
  • Planning QoS networks
  • Resources


QoS overview

Quality of Service (QoS) is a set of service requirements that the network must meet in order to ensure an adequate service level for data transmission. These service requirements are based on industry standards for QoS functionality.

QoS allows real-time programs to make the most efficient use of network bandwidth. Because QoS provides some level of guarantee for sufficient network resources, it gives a shared network a level of service similar to that of a dedicated network.

A QoS guarantee indicates a service level that enables a program to transmit data at a specified rate and to deliver it within a specified time frame.

QoS model

The goal of QoS is a guaranteed delivery system for network traffic, such as Internet Protocol (IP) packets.


Differentiated Services Code Point (DSCP) overview

Differentiated Services Code Point (DSCP) is a field in an IP packet that enables different levels of service to be assigned to network traffic. This is achieved by marking each packet on the network with a DSCP code and appropriating to it the corresponding level of service.

DSCP is the combination of IP Precedence and Type of Service fields. In order to work with legacy routers that only support IP Precedence, DSCP values are used because they are compatible with IP Precedence fields. For more information, see RFC 2474 at the RFC Editor Web site.

How DSCP works

Quality of Service (QoS)-enabled programs request a specific service type for a traffic flow through the generic QoS (GQoS) application programming interface (API). The available service types are:

  • Guaranteed service

    • Guaranteed service provides high quality, quantifiable guarantees with bounded (guaranteed minimum) latency.

  • Controlled load service

    • Controlled load service provides high quality, quantifiable guarantees without bounded latency.

DSCP is a six-bit field carrying the default values that are displayed in the following table. The equivalent IP Precedence and IEEE 802.1p values are shown in separate columns.

Service Type | DSCP | IP Precedence | IEEE 802.1p
Network control | 30 | 6 | 7
Guaranteed | 28 | 5 | 5
Controlled load | 18 | 3 | 3
All other traffic | 0 | 0 | 0

Notes

  • The network control service cannot be requested through the GQoS API. However, it can be requested by network management applications that use the traffic control (TC) API.
  • Default DSCP values can be edited remotely using Group Policy.
  • XOX


Planning QoS networks

It is recommended that you ensure your network hardware, Windows configuration, programs, and services meet the necessary requirements for Quality of Service (QoS).

Hardware

To take advantage of IEEE 802.1p markings, QoS requires that your network adapters and network equipment are 802.1p compliant. Additionally, you may need to configure network hardware for QoS 802.1p markings. For more information about the standards upon which Windows QoS networks are based, see QoS standards (RFCs).

Windows configuration

Install QoS Packet Scheduler on end-systems on which you want to enable traffic shaping, traffic marking, or both. For computers with dial-up connections, install QoS Packet scheduler if you want to enable Integrated Services over Slow Links (ISSLOW). For more information, see To install QoS Packet Scheduler.

Programs and services

Only programs and services that have been designed to work with QoS can take advantage of QoS functionality. Examples of QoS-aware services and programs are Windows Messenger and NetMeeting.


Resources

This topic covers:

  • QoS standards (RFCs)
  • QoS updated technical information


QoS standards (RFCs)

Request for Comments (RFCs) are an evolving series of reports, proposals for protocols, and protocol standards used by the Internet community. Quality of Service (QoS) standards are defined in RFCs published by the Internet Engineering Task Force (IETF) and other working groups.

The following RFCs cover QoS issues:

2211 | Specification of the Controlled-Load Network Element Service
2212 | Specification of Guaranteed Quality of Service

For more information about RFCs and how to obtain them, see TCP/IP RFCs.

Notes

  • For additional information about the most current RFCs related to QoS, see the RFC Editor Web site.
  • XOX


QoS updated technical information

The following Web sites post information about Quality of Service (QoS) issues, Internet engineering standards, and other related topics.

  • The Internet Engineering Task Force Web site
  • The Transport area of the Active working groups page at the Internet Engineering Task Force Web site

For more information about QoS, see "Quality of Service" at the Microsoft Windows Resource Kits Web site. (http://www.microsoft.com/)

Note

  • XOX